QGIS Application - Bug report #7476

print composer rulers do not show correctly if qgis font size is bigger than the default one

2013-03-29 10:58 AM - Giovanni Manghi

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16429

Description

subject says it all. See attached screenshots. It seems that the "0" in the vertical ruler is never visible.

Associated revisions

Revision 53c654ff - 2013-12-29 04:03 AM - Nyall Dawson

[composer] Make sure ruler size is based off font size (fix #7476).
Only do ruler calculations once, not on every paint event.

History

#1 - 2013-04-01 01:26 PM - Antonio Locandro

Confirmed, the "0" is never visible, also it seems that when the font is above 11 font size it gets truncated. While we are at it, | think the ruler would benefit

from having subdivisions and telling you the exact x & y position of the guide something like Inkscape has

#2 - 2013-04-01 01:31 PM - Tim Sutton

Yes it would be nice to use a much smaller font e.g. 8point by default for this.

#3 - 2013-12-28 07:24 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"53c654ff97{f5{69a9e2627fb224ee7e24df2b5b".
